## libmemcached-libmemcached-perl 1.001801+dfsg

=== debian/changelog ===
libmemcached-libmemcached-perl (1.001801+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Add patch from Niko Tyni to adapt to ExtUtils::ParseXS changes in
    Perl 5.42. (Closes: #1111915)
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Aug 2025 01:12:42 +0200

libmemcached-libmemcached-perl (1.001801+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Remove constant MEMCACHED_DEFAULT_PORT_STRING from
    debian/libmemcached/**. (Closes: #1075185)
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Thu, 08 Aug 2024 18:24:38 +0200

libmemcached-libmemcached-perl (1.001801+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add patch to mark version check in test as TODO.
    The test compares the versions of Memcached::libmemcached and
    libmemcached; in Debian we are building against the packaged libmemcached,
    which might have a different (typically higher) version.
    Thanks to Lucas Nussbaum for the bug report. (Closes: #1031462)
  * debian/rules: remove unused variable.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Feb 2023 12:11:47 +0100

libmemcached-libmemcached-perl (1.001801+dfsg-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Christopher Hoskin ]
  * Use my Debian e-mail in control, copyright and patches

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Remove check for DEB_BUILD_OPTIONS=nocheck from debian/rules.
    debhelper 13 does this for us.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Jun 2022 19:19:55 +0100

libmemcached-libmemcached-perl (1.001801+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: use HTTPS for GitHub URLs.

  [ intrigeri ]
  * Declare compliance with Standards-Version 3.9.8.
  * Make build reproducible. Thanks to Chris Lamb and Sebastien Delafond
    for the patch! (Closes: #829263)

 -- intrigeri <intrigeri@debian.org>  Sat, 02 Jul 2016 08:57:48 +0000

libmemcached-libmemcached-perl (1.001801+dfsg-1) unstable; urgency=low

  * Initial Release. Closes: #801254

 -- Christopher Hoskin <christopher.hoskin@gmail.com>  Tue, 15 Mar 2016 20:14:00 +0000
