=== debian/control ===
Source: libmemcached-libmemcached-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Build-Depends: debhelper-compat (= 13),
               libmemcached-dev,
               libpod-coverage-perl <!nocheck>,
               libtest-pod-coverage-perl <!nocheck>,
               libtest-pod-perl <!nocheck>,
               memcached <!nocheck>,
               net-tools <!nocheck>,
               perl-xs-dev,
               perl:native,
               procps <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmemcached-libmemcached-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmemcached-libmemcached-perl.git
Homepage: https://metacpan.org/release/Memcached-libmemcached

Package: libmemcached-libmemcached-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: thin, fast, full interface to the libmemcached client API
 Memcached::libmemcached is a very thin, highly efficient, wrapper around the
 libmemcached library. It's implemented almost entirely in C.
 .
 It gives full access to the rich functionality offered by libmemcached.
 libmemcached is fast, light on memory usage, thread safe, and provide full
 access to server side methods.
 .
  - Synchronous and Asynchronous support.
 .
  - TCP and Unix Socket protocols.
 .
  - A half dozen or so different hash algorithms.
 .
  - Implementations of the new cas, replace, and append operators.
 .
  - Man pages written up on entire API.
 .
  - Implements both modulo and consistent hashing solutions.
