=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+dfsg \
https://metacpan.org/release/Memcached-libmemcached   .*/Memcached-libmemcached-v?@ANY_VERSION@@ARCHIVE_EXT@$
